.ai-cards-block {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 2rem;
    padding: 2rem;

    .ai-card {
        background-color: black;
        color: white;
        display: flex;
        flex-direction: column;
        box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;

        .image {
            img {
                width: 100%;
                height: 100%;
                object-fit: contain;
                background-color: #F2F2F2;
            }
        }

        .content {
            padding: 2rem 2rem 1rem;
            flex: 4;
            display: flex;
            flex-direction: column;
            justify-content: space-between;
            align-items: flex-start;

            h2 {
                font-size: 21px;
                font-weight: 700;
                margin-bottom: 2rem;
            }

            .columns {
                display: flex;
                flex-direction: column;
                margin-bottom: 2rem;

                .column {
                    flex: 1;
                }
            }

            .button {
                background-color: #FC0613;
                text-decoration: none;
                margin: 0;
            }
        }
    }

    @media (max-width: 1500px) {
        .ai-card {
            grid-column: span 4;
            flex-direction: row;

            .image {
                flex: 2;
            }

            .columns {
                flex-direction: row !important;
                gap: 2rem;
            }
        }
    }

    @media (max-width: 1024px) {
        .ai-card {
            grid-column: span 2;
            flex-direction: column;

            .columns {
                flex-direction: column !important;
                gap: 0;
            }
        }
    }

    @media (max-width: 768px) {
        .ai-card {
            grid-column: span 4;
        }
    }
}